> For a complete page index, fetch https://docs.transak.com/llms.txt

# Get VASPs (For Managed Wallet Address)

GET https://api-gateway-stg.transak.com/api/v2/risk-engine/vasps

The **Get VASPs** is a **non-authenticated API** that returns a list of Virtual Asset Service Providers (VASPs). Use this endpoint to search for a VASP by name and retrieve its details including the `vaspDid` and `vaspName` required when placing an order with a managed (custodial) wallet address.

Reference: https://docs.transak.com/api/whitelabel/orders/get-vasps

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: whitelabel-api
  version: 1.0.0
paths:
  /api/v2/risk-engine/vasps:
    get:
      operationId: get-vasps
      summary: Get VASPs (For Managed Wallet Address)
      description: >-
        The **Get VASPs** is a **non-authenticated API** that returns a list of
        Virtual Asset Service Providers (VASPs). Use this endpoint to search for
        a VASP by name and retrieve its details including the `vaspDid` and
        `vaspName` required when placing an order with a managed (custodial)
        wallet address.
      tags:
        - subpackage_orders
      parameters:
        - name: search
          in: query
          description: Search term to filter VASPs by name.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: 200 - Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Orders_get-vasps_Response_200'
        '500':
          description: 500 - Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Get-vaspsRequestInternalServerError'
servers:
  - url: https://api-gateway-stg.transak.com
    description: Staging
components:
  schemas:
    ApiV2RiskEngineVaspsGetResponsesContentApplicationJsonSchemaDataVaspsItems:
      type: object
      properties:
        did:
          type: string
          description: Decentralised Identifier (DID) of the VASP.
        name:
          type: string
          description: Name of the VASP.
        website:
          type: string
          description: Website URL of the VASP.
        logo:
          type: string
          description: URL of the VASP logo image.
        incorporationCountry:
          type: string
          description: ISO country code where the VASP is incorporated.
        jurisdictions:
          type: string
          description: ISO country code(s) of the jurisdictions the VASP operates in.
      required:
        - did
        - name
      title: >-
        ApiV2RiskEngineVaspsGetResponsesContentApplicationJsonSchemaDataVaspsItems
    ApiV2RiskEngineVaspsGetResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        vasps:
          type: array
          items:
            $ref: >-
              #/components/schemas/ApiV2RiskEngineVaspsGetResponsesContentApplicationJsonSchemaDataVaspsItems
        status:
          type: string
          description: Status of the request.
        count:
          type: integer
          description: Total number of VASPs returned.
      required:
        - vasps
        - status
        - count
      title: ApiV2RiskEngineVaspsGetResponsesContentApplicationJsonSchemaData
    Orders_get-vasps_Response_200:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/ApiV2RiskEngineVaspsGetResponsesContentApplicationJsonSchemaData
      required:
        - data
      title: Orders_get-vasps_Response_200
    ApiV2RiskEngineVaspsGetResponsesContentApplicationJsonSchemaError:
      type: object
      properties:
        statusCode:
          type: integer
        message:
          type: string
      required:
        - statusCode
        - message
      title: ApiV2RiskEngineVaspsGetResponsesContentApplicationJsonSchemaError
    Get-vaspsRequestInternalServerError:
      type: object
      properties:
        error:
          $ref: >-
            #/components/schemas/ApiV2RiskEngineVaspsGetResponsesContentApplicationJsonSchemaError
      required:
        - error
      title: Get-vaspsRequestInternalServerError

```

## Examples



**Response**

```json
{
  "data": {
    "vasps": [
      {
        "did": "did:ethr:0x0cab3144c7d182e13c543e9880c46cfdf90d1744",
        "name": " DIGIT DIGITAL CRYPTO PAY SPÓŁKA Z OGRANICZONĄ ODPOWIEDZIALNOŚCIĄAL CRYPTO PAY SP ZOO (PL)",
        "website": "https://digitalcryptopay.com",
        "logo": "https://app-production-public-s3.s3.eu-central-1.amazonaws.com/vasp_logo_did%3Aethr%3A0x0cab3144c7d182e13c543e9880c46cfdf90d1744",
        "incorporationCountry": "PL",
        "jurisdictions": "PL"
      },
      {
        "did": "did:ethr:0x78e5709db9a4f9decbb007c0f199a2c441aa7037",
        "name": " Primeblock Ventures",
        "website": "https://primeblock.ventures",
        "logo": "https://app-production-public-s3.s3.eu-central-1.amazonaws.com/vasp_logo_did%3Aethr%3A0x78e5709db9a4f9decbb007c0f199a2c441aa7037",
        "incorporationCountry": "VG",
        "jurisdictions": "VG"
      },
      {
        "did": "did:ethr:0xf2bd35dc59cbbe3efb15a5bd411ac84e7c86d25a",
        "name": "100s Holdings Limited (IM)",
        "website": "https://app.100s.bet",
        "logo": "https://app-production-public-s3.s3.eu-central-1.amazonaws.com/vasp_logo_did%3Aethr%3A0xf2bd35dc59cbbe3efb15a5bd411ac84e7c86d25a",
        "incorporationCountry": "IM",
        "jurisdictions": "IM"
      },
      {
        "did": "did:ethr:0xdf41ef7dcb92ab5aed72e284db3766ace5026948",
        "name": "1Money (US)",
        "website": "https://1money.com",
        "logo": "https://app-production-public-s3.s3.eu-central-1.amazonaws.com/vasp_logo_did%3Aethr%3A0xdf41ef7dcb92ab5aed72e284db3766ace5026948",
        "incorporationCountry": "US",
        "jurisdictions": "US"
      },
      {
        "did": "did:ethr:0xfeb4f99829a9acdf52979abee87e83addf22a7e1",
        "name": "1xBet",
        "website": "https://1xbet.com/en",
        "logo": "https://app-production-public-s3.s3.eu-central-1.amazonaws.com/vasp_logo_did%3Aethr%3A0xfeb4f99829a9acdf52979abee87e83addf22a7e1",
        "jurisdictions": "CY"
      },
      {
        "did": "did:ethr:0x5d598bbc15fd01dce280ac65d8d3a9b8b748d202",
        "name": "1xSlots",
        "website": "https://www.1xslots.com/",
        "logo": "https://app-production-public-s3.s3.eu-central-1.amazonaws.com/vasp_logo_did%3Aethr%3A0x5d598bbc15fd01dce280ac65d8d3a9b8b748d202",
        "jurisdictions": "CY"
      },
      {
        "did": "did:ethr:0xac9fb6f9fad387b12de2ff1039d9ae4014a49e5e",
        "name": "21.co",
        "website": "https://21.co",
        "jurisdictions": "CH"
      },
      {
        "did": "did:ethr:0x825c546b2012fd6b009d4bd34d2c6030956e86be",
        "name": "21Shares (CH)",
        "website": "https://21shares.com",
        "jurisdictions": "CH"
      },
      {
        "did": "did:ethr:0xc6423fb22b31148b0de37051a98241ba2487269e",
        "name": "21bitcoin (AT)",
        "website": "https://21bitcoin.app",
        "logo": "https://app-production-public-s3.s3.eu-central-1.amazonaws.com/vasp_logo_did%3Aethr%3A0xc6423fb22b31148b0de37051a98241ba2487269e",
        "incorporationCountry": "AT",
        "jurisdictions": "AT"
      },
      {
        "did": "did:ethr:0x724e433f1972b03947ab70bca6d4c2e00ff5f3a2",
        "name": "24 Exchange",
        "website": "https://24exchange.com",
        "incorporationCountry": "BM",
        "jurisdictions": "BM"
      },
      {
        "did": "did:ethr:0x3da56353a04a2cf2ef1b04fdad7a95d217195c25",
        "name": "24FINANCE",
        "website": "https://24finance.org"
      },
      {
        "did": "did:ethr:0x0cf47982bd558e4d41491fcbc501cac34b327d03",
        "name": "2C2P",
        "website": "https://2c2p.com",
        "logo": "https://app-production-public-s3.s3.eu-central-1.amazonaws.com/vasp_logo_did%3Aethr%3A0x0cf47982bd558e4d41491fcbc501cac34b327d03",
        "jurisdictions": "SG"
      },
      {
        "did": "did:ethr:0xe1171b1a24edd4ec9ca5e5e5d1f937724373da36",
        "name": "360T (DE)",
        "website": "https://360t.com",
        "jurisdictions": "DE"
      },
      {
        "did": "did:ethr:0x005b3d9f45185f74e1ec08f1b8a9350514174325",
        "name": "39k Group"
      },
      {
        "did": "did:ethr:0x509a30dda784b36ac9f8c5503e2c57e60ad7b32f",
        "name": "4coins.pl",
        "website": "https://4coins.pl",
        "jurisdictions": "PL"
      },
      {
        "did": "did:ethr:0x7d8b67e6498cfb12a90df19f18c32c50b6ca3827",
        "name": "500 CASINO",
        "website": "https://csgo500.com/en/",
        "logo": "https://app-production-public-s3.s3.eu-central-1.amazonaws.com/vasp_logo_did%3Aethr%3A0x7d8b67e6498cfb12a90df19f18c32c50b6ca3827",
        "jurisdictions": "CW"
      },
      {
        "did": "did:ethr:0xf9b8e5cf761f0e60d2e49e3dd4444791e2ffaf63",
        "name": "7money.co",
        "website": "https://7money.co",
        "jurisdictions": "RU"
      },
      {
        "did": "did:ethr:0xe0d65687b7d2d3402d1419dd3496333807f19b1b",
        "name": "A1, Ltd."
      },
      {
        "did": "did:ethr:0x46563e5d9bdc039b7305a72b2ae989b933389e72",
        "name": "A2Z Crypto",
        "website": "https://a2zcryptoinvestment.com",
        "logo": "https://app-production-public-s3.s3.eu-central-1.amazonaws.com/vasp_logo_did%3Aethr%3A0x46563e5d9bdc039b7305a72b2ae989b933389e72",
        "incorporationCountry": "IN",
        "jurisdictions": "IN"
      },
      {
        "did": "did:ethr:0xc1ca925ec4d704c1c07f6bcf7918303715b066ad",
        "name": "AAPlus",
        "website": "https://www.aaplusdex.com/",
        "logo": "https://app-production-public-s3.s3.eu-central-1.amazonaws.com/vasp_logo_did%3Aethr%3A0xc1ca925ec4d704c1c07f6bcf7918303715b066ad"
      },
      {
        "did": "did:ethr:0x86fb5baf0f616f14a4ac4cdd3e301a21a4c2e63f",
        "name": "AAX",
        "website": "aax.com",
        "logo": "https://app-production-public-s3.s3.eu-central-1.amazonaws.com/vasp_logo_did%3Aethr%3A0x86fb5baf0f616f14a4ac4cdd3e301a21a4c2e63f",
        "jurisdictions": "SG"
      },
      {
        "did": "did:ethr:0x678224e9bdc75a79f6ccba5485df81b69d8ca9ee",
        "name": "ABA Global Philippines Inc. (Coexstar)",
        "website": "https://coexstar.ph",
        "logo": "https://app-production-public-s3.s3.eu-central-1.amazonaws.com/vasp_logo_did%3Aethr%3A0x678224e9bdc75a79f6ccba5485df81b69d8ca9ee",
        "incorporationCountry": "PH",
        "jurisdictions": "PH"
      },
      {
        "did": "did:ethr:0xa9a1cd9d3b732e0096a6e017c2935b789324bdf2",
        "name": "ABCC",
        "website": "https://abcc.com/en",
        "logo": "https://app-production-public-s3.s3.eu-central-1.amazonaws.com/vasp_logo_did%3Aethr%3A0xa9a1cd9d3b732e0096a6e017c2935b789324bdf2",
        "incorporationCountry": "SG",
        "jurisdictions": "SG"
      },
      {
        "did": "did:ethr:0xfcf65916c77225cff2d7662c1c5dd1f0b96406d6",
        "name": "ABEX (GB)",
        "website": "https://abex.capital",
        "jurisdictions": "GB"
      },
      {
        "did": "did:ethr:0xc937ce72d9dc6de638cdaf36cba22b6bef390829",
        "name": "ACE",
        "website": "https://ace.io/",
        "logo": "https://app-production-public-s3.s3.eu-central-1.amazonaws.com/vasp_logo_did%3Aethr%3A0xc937ce72d9dc6de638cdaf36cba22b6bef390829",
        "jurisdictions": "TW"
      },
      {
        "did": "did:ethr:0xfd69683a9fb2181f9d0a7ef72ca5759829574391",
        "name": "ACM Finance (PL)",
        "website": "https://acm-finance.com",
        "logo": "https://app-production-public-s3.s3.eu-central-1.amazonaws.com/vasp_logo_did%3Aethr%3A0xfd69683a9fb2181f9d0a7ef72ca5759829574391",
        "incorporationCountry": "PL",
        "jurisdictions": "LI"
      }
    ],
    "status": "SUCCESS",
    "count": 26
  }
}
```

**SDK Code**

```python Success
import requests

url = "https://api-gateway-stg.transak.com/api/v2/risk-engine/vasps"

querystring = {"search":""}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript Success
const url = 'https://api-gateway-stg.transak.com/api/v2/risk-engine/vasps?search=';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Success
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-gateway-stg.transak.com/api/v2/risk-engine/vasps?search="

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Success
require 'uri'
require 'net/http'

url = URI("https://api-gateway-stg.transak.com/api/v2/risk-engine/vasps?search=")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-gateway-stg.transak.com/api/v2/risk-engine/vasps?search=")
  .asString();
```

```php Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-gateway-stg.transak.com/api/v2/risk-engine/vasps?search=');

echo $response->getBody();
```

```csharp Success
using RestSharp;

var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/risk-engine/vasps?search=");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift Success
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/risk-engine/vasps?search=")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```